/*
 * @Date: 2023-09-11 11:10:21
 * @LastEditors: 陈禹琨 chenyukun@prolog-int.com
 * @LastEditTime: 2023-09-13 17:00:32
 * @FilePath: /eis-3.0-fe-pc/src/views/EIS/project/qingniuEIS/LimitedGoodsAllocation/api/index.js
 * @Description: cyk
 */
import request from '@/utils/request'
import qs from 'qs'

import { QN_BASEURL } from '../../serviceSettings'
const baseUrl = QN_BASEURL
//明细
export function detailtLimitedGoods(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/api/v1/locationRestricted/queryArea',
    params: parameter,
  })
}

export function insertLimitedGoods(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/api/v1/locationRestricted/save',
    data: parameter,
  })
}

export function updateLimitedGoods(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/api/v1/locationRestricted/update',
    data: parameter,
  })
}

export function deleteLimitedGoods(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/api/v1/locationRestricted/delete',
    data: parameter,
  })
}

//限定区域新增
export function insertLocationNo(parameter) {
  return request({
    method: 'post',
    url: baseUrl + '/kz/baseService/insertLocationNo',
    data: parameter,
  })
}
